/* Copyright (c) 2012 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

//
//  GTLComputeConstants.h
//

// ----------------------------------------------------------------------------
// NOTE: This file is generated from Google APIs Discovery Service.
// Service:
//   Compute Engine API (compute/v1beta13)
// Description:
//   API for the Google Compute Engine service.
// Documentation:
//   https://developers.google.com/compute/docs/reference/v1beta13

#import <Foundation/Foundation.h>

#if GTL_BUILT_AS_FRAMEWORK
  #import "GTL/GTLDefines.h"
#else
  #import "GTLDefines.h"
#endif

// Authorization scope
// View and manage your Google Compute Engine resources
GTL_EXTERN NSString * const kGTLAuthScopeCompute;               // "https://www.googleapis.com/auth/compute"
// View your data in Google Cloud Storage
GTL_EXTERN NSString * const kGTLAuthScopeComputeDevstorageReadOnly;  // "https://www.googleapis.com/auth/devstorage.read_only"
// View your Google Compute Engine resources
GTL_EXTERN NSString * const kGTLAuthScopeComputeReadonly;       // "https://www.googleapis.com/auth/compute.readonly"
