/* Copyright (c) 2012 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

//
//  GTLYouTubeConstants.m
//

// ----------------------------------------------------------------------------
// NOTE: This file is generated from Google APIs Discovery Service.
// Service:
//   YouTube API (youtube/v3)
// Description:
//   Programmatic access to YouTube features.
// Documentation:
//   https://developers.google.com/youtube

#import "GTLYouTubeConstants.h"

// Authorization scope
NSString * const kGTLAuthScopeYouTube               = @"https://www.googleapis.com/auth/youtube";
NSString * const kGTLAuthScopeYouTubeReadonly       = @"https://www.googleapis.com/auth/youtube.readonly";
NSString * const kGTLAuthScopeYouTubeUpload         = @"https://www.googleapis.com/auth/youtube.upload";
NSString * const kGTLAuthScopeYouTubeYoutubepartner = @"https://www.googleapis.com/auth/youtubepartner";

// Order
NSString * const kGTLYouTubeOrderAlphabetical = @"alphabetical";
NSString * const kGTLYouTubeOrderDate         = @"date";
NSString * const kGTLYouTubeOrderRating       = @"rating";
NSString * const kGTLYouTubeOrderRelevance    = @"relevance";
NSString * const kGTLYouTubeOrderUnread       = @"unread";
NSString * const kGTLYouTubeOrderViewCount    = @"view_count";

// Published
NSString * const kGTLYouTubePublishedAny       = @"any";
NSString * const kGTLYouTubePublishedThisMonth = @"thisMonth";
NSString * const kGTLYouTubePublishedThisWeek  = @"thisWeek";
NSString * const kGTLYouTubePublishedToday     = @"today";

// VideoCaption
NSString * const kGTLYouTubeVideoCaptionAny           = @"any";
NSString * const kGTLYouTubeVideoCaptionClosedCaption = @"closedCaption";
NSString * const kGTLYouTubeVideoCaptionNone          = @"none";

// VideoDefinition
NSString * const kGTLYouTubeVideoDefinitionAny      = @"any";
NSString * const kGTLYouTubeVideoDefinitionHigh     = @"high";
NSString * const kGTLYouTubeVideoDefinitionStandard = @"standard";

// VideoDimension
NSString * const kGTLYouTubeVideoDimensionAny = @"any";
NSString * const kGTLYouTubeVideoDimensionX2d = @"2d";
NSString * const kGTLYouTubeVideoDimensionX3d = @"3d";

// VideoDuration
NSString * const kGTLYouTubeVideoDurationAny    = @"any";
NSString * const kGTLYouTubeVideoDurationLong   = @"long";
NSString * const kGTLYouTubeVideoDurationMedium = @"medium";
NSString * const kGTLYouTubeVideoDurationShort  = @"short";

// VideoLicense
NSString * const kGTLYouTubeVideoLicenseAny            = @"any";
NSString * const kGTLYouTubeVideoLicenseCreativeCommon = @"creativeCommon";
NSString * const kGTLYouTubeVideoLicenseYoutube        = @"youtube";
